Página 2 de 3 PrimeiroPrimeiro 123 ÚltimoÚltimo
+ Responder ao Tópico



  1. #6
    eicke
    Pois eh...quando tento instalar o pacote via rpm acontece o seguinte...

    # rpm -i gcc-2.96-113.i386.rpm
    error: failed dependencies:
    glibc-devel is needed by gcc-2.96-113

    Bom ai tento instalar o glibc-devel entao...
    # rpm -i glibc-devel-2.2.5-43.i386.rpm
    error: failed dependencies:
    glibc = 2.2.5 is needed by glibc-devel-2.2.5-43
    Verifiquei a versao do glibc e tentei instalar uma versao do glibc-devel
    # rpm -qva | grep glibc
    glibc-common-2.3.2-11.9
    glibc-kernheaders-2.4-7.16
    glibc-2.3.2-11.9

    # rpm -i glibc-devel-2.3.2-11.9.i386.rpm
    error: failed dependencies:
    binutils < 2.13.90.0.16-5 conflicts with glibc-devel-2.3.2-11.9

    Ao tentar atualizar o binutils...
    # rpm -Uvh binutils-2.13.90.0.8-1.i386.rpm
    Preparing... ########################################### [100%]
    Segmentation fault

    Ou seja nao consigo fazer nada! E a maquina esta em producao...alguem por favor pode me ajudar????

    Eicke.

  2. #7
    jamba
    Mesmo com esssa falha de segmentacao depois de atualizar o binutils tentou instalar o resto???
    C nao der certo tenta desinstalar o binutils e instalar de novo. Cuidado ao autalizar pacotes rpms sempre da esse pau.



  3. #8
    eicke
    O binutils nao é atualizado com o rpm -U se tento desisntalar o binutils tb da erro:

    # rpm -e binutils-2.11.93.0.2-11
    Segmentation fault

  4. #9
    jigabo0
    Nao sei se no Red Hat 9, existe essa opção... mas no conectiva roda normalmente, como o red hat 9 usa rpm tbm, eu imagino que funcione

    usa o :
    apt-get install glib*

    (ele vai construir uma arvore de dependencia, e vai instalar todos os pacotes glib*, glib-devel e etc) se der algum erro do tipo Erro: Nao foi possivel encontrar o pacote (nome do pacote) vc usa rpm -ivh (nome do pacote) se der erro de dependencia ,
    vc usa rpm -ivh (nome do pacote) --nodeps (vai instalar o pacote forcado, nao vai ligar pras depedencias, ele vai instalar ... mas nao se sabe se vai funcionar )

    espero ter ajudado ! qualquer coisa..



  5. #10
    eicke
    # rpm -ivh glibc-devel-2.2.5-43.i386.rpm --nodeps
    Preparing... ########################################### [100%]
    Segmentation fault


    Mesmo com o nodeps da erro....






Tópicos Similares

  1. instalar gcc
    Por marceloedrei no fórum Servidores de Rede
    Respostas: 1
    Último Post: 17-03-2006, 19:49
  2. Erro ao instalar GCC
    Por totem no fórum UnderLinux
    Respostas: 2
    Último Post: 30-01-2006, 07:34
  3. erro ao instalar gcc
    Por jvdebian no fórum Servidores de Rede
    Respostas: 0
    Último Post: 10-06-2005, 07:16
  4. Instalar gcc
    Por cinthia no fórum Redes
    Respostas: 0
    Último Post: 15-09-2004, 16:20
  5. Instalar GCC
    Por jigabo0 no fórum Servidores de Rede
    Respostas: 7
    Último Post: 27-02-2004, 09:48

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L